using CFX;
using CFX.Production;
using CFX.Structures;
using Sln.Iot.Serilog;

namespace Sln.Iot.CFX.Event
{
    /// <summary>
    /// 工单完成事件
    /// 带扫码枪的设备Units栏位中的UnitIdentifier必须填写
    /// </summary>
    public class WorkCompletedEvent
    {
        /// <summary>
        /// 数据封装处理
        /// </summary>
        /// <returns></returns>
        public CFXMessage Handle()
        {
            CFXMessage eve = null;
            try
            {
                eve = new WorkCompleted()
                {
                    TransactionID = Guid.NewGuid(),
                    Result = WorkResult.Completed,
                    Units = new List<UnitPosition>()
                    {
                        new UnitPosition()
                        {
                            UnitIdentifier = "UNIT123456789",
                            PositionNumber = 1,
                            PositionName = "位置1",
                            X = 50.0,
                            Y = 80.0,
                            Rotation = 0.0,
                            FlipX = false,
                            FlipY = false
                        },
                    }
                };
            }
            catch (Exception e)
            {
                SerilogHelper.Instance.Error("终端节点连接事件数据封装异常", e);
            }
            return eve;
        }
    }
}
